Bug 7859 - members/pay.pl plack scoping
Summary: members/pay.pl plack scoping
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-03-30 22:18 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7859 - members/pay.pl plack scoping (2.36 KB, patch)
2012-03-30 22:22 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7859 - members/pay.pl plack scoping (2.43 KB, patch)
2012-04-02 11:56 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-30 22:18:22 UTC

    
Comment 1 Dobrica Pavlinusic 2012-03-30 22:22:30 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2012-04-02 11:54:42 UTC
Test i did:

i choose a borrower having fines. Going to fines page (members/boraccount.pl?borrowernumber=xx) and click on "Pay fines" tabs (members/pay.pl?borrowernumber=xx).

Running koha on plack, fines don't appear in the page although there have.

Applying the patch: it's ok, fines come back running koha either with plackup or startman.

signing off
Comment 3 Alex Arnaud 2012-04-02 11:56:44 UTC
Created attachment 8765 [details] [review]
[Signed-off] Bug 7859 - members/pay.pl plack scoping

Variable "$borrowernumber" is not available at /srv/koha/members/pay.pl line 112.
Variable "$borrower" is not available at /srv/koha/members/pay.pl line 129.
Variable "$input" is not available at /srv/koha/members/pay.pl line 142.
Variable "$borrowernumber" is not available at /srv/koha/members/pay.pl line 157.
Variable "$user" is not available at /srv/koha/members/pay.pl line 171.
Variable "$input" is not available at /srv/koha/members/pay.pl line 172.
Variable "$input" is not available at /srv/koha/members/pay.pl line 181.
Variable "$borrowernumber" is not available at /srv/koha/members/pay.pl line 187.
Variable "$branch" is not available at /srv/koha/members/pay.pl line 187.
Variable "$borrowernumber" is not available at /srv/koha/members/pay.pl line 222.
Variable "$input" is not available at /srv/koha/members/pay.pl line 239.
Variable "$borrowernumber" is not available at /srv/koha/members/pay.pl line 246.

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Ian Walls 2012-04-03 15:34:07 UTC
Just rescopes 'my' to 'our' which we've found to be harmless in CGI environments.  Marking as Passed QA
Comment 5 Jared Camins-Esakov 2012-12-31 00:51:06 UTC
There have been no further reports of problems so I am marking this bug resolved.